Compare commits

..
5 Commits
Author SHA1 Message Date
CSRBot 71c193340e Merge pull request 'chore(deps): update volker-raschek/ah-annotations action to v0.2.0' (#194) from renovate/volker-raschek-ah-annotations-0.x into master
Helm / helm-unittest (push) Successful in 17s
Helm / helm-lint (push) Successful in 11s
2026-08-18 00:16:50 +00:00
CSRBot f2ae0d259f chore(deps): update volker-raschek/ah-annotations action to v0.2.0
Helm / helm-lint (push) Successful in 13s
Helm / helm-unittest (push) Successful in 17s
Helm / helm-unittest (pull_request) Successful in 16s
Helm / helm-lint (pull_request) Successful in 12s
2026-08-18 00:15:27 +00:00
CSRBot 5ed645a093 Merge pull request 'chore(deps): pin volker-raschek/ah-annotations action to d5154c8' (#193) from renovate/pin-dependencies into master
Helm / helm-unittest (push) Successful in 21s
Helm / helm-lint (push) Successful in 6s
2026-08-17 21:18:17 +00:00
CSRBot b3d9c99f89 chore(deps): pin volker-raschek/ah-annotations action to d5154c8
Helm / helm-lint (push) Successful in 11s
Helm / helm-lint (pull_request) Successful in 7s
Helm / helm-unittest (push) Successful in 29s
Helm / helm-unittest (pull_request) Successful in 19s
2026-08-17 21:16:21 +00:00
volker.raschek e2f7423027 chore(deps): migrate to action volker-raschek/ah-annotations
Helm / helm-lint (push) Successful in 6s
Helm / helm-unittest (push) Successful in 26s
2026-08-17 22:48:24 +02:00
3 changed files with 2 additions and 131 deletions
-125
View File
@@ -1,125 +0,0 @@
#!/bin/bash
set -e -o pipefail
chart_file="Chart.yaml"
if [ ! -f "${chart_file}" ]; then
echo "ERROR: ${chart_file} not found!" 1>&2
exit 1
fi
default_new_tag="$(git tag --sort=-version:refname | head -n 1)"
default_old_tag="$(git tag --sort=-version:refname | head -n 2 | tail -n 1)"
if [ -z "${1}" ]; then
echo "Enter start tag [${default_old_tag}]:"
read -r old_tag
if [ -z "${old_tag}" ]; then
old_tag="${default_old_tag}"
fi
while [ -z "$(git tag --list "${old_tag}")" ]; do
echo "ERROR: Tag '${old_tag}' not found!" 1>&2
echo "Enter start tag [${default_old_tag}]:"
read -r old_tag
if [ -z "${old_tag}" ]; then
old_tag="${default_old_tag}"
fi
done
else
old_tag=${1}
if [ -z "$(git tag --list "${old_tag}")" ]; then
echo "ERROR: Tag '${old_tag}' not found!" 1>&2
exit 1
fi
fi
if [ -z "${2}" ]; then
echo "Enter end tag [${default_new_tag}]:"
read -r new_tag
if [ -z "${new_tag}" ]; then
new_tag="${default_new_tag}"
fi
while [ -z "$(git tag --list "${new_tag}")" ]; do
echo "ERROR: Tag '${new_tag}' not found!" 1>&2
echo "Enter end tag [${default_new_tag}]:"
read -r new_tag
if [ -z "${new_tag}" ]; then
new_tag="${default_new_tag}"
fi
done
else
new_tag=${2}
if [ -z "$(git tag --list "${new_tag}")" ]; then
echo "ERROR: Tag '${new_tag}' not found!" 1>&2
exit 1
fi
fi
change_log_yaml=$(mktemp)
echo "[]" > "${change_log_yaml}"
function map_type_to_kind() {
case "${1}" in
feat)
echo "added"
;;
fix)
echo "fixed"
;;
chore|style|test|ci|docs|refac)
echo "changed"
;;
revert)
echo "removed"
;;
sec)
echo "security"
;;
*)
echo "skip"
;;
esac
}
commit_titles="$(git log --pretty=format:"%s" "${old_tag}..${new_tag}")"
echo "INFO: Generate change log entries from ${old_tag} until ${new_tag}"
while IFS= read -r line; do
if [[ "${line}" =~ ^([a-zA-Z]+)(\([^\)]+\))?\:\ (.+)$ ]]; then
type="${BASH_REMATCH[1]}"
kind=$(map_type_to_kind "${type}")
if [ "${kind}" == "skip" ]; then
continue
fi
desc="${BASH_REMATCH[3]}"
echo "- ${kind}: ${desc}"
jq --arg kind "${kind}" --arg description "${desc}" '. += [ $ARGS.named ]' < "${change_log_yaml}" > "${change_log_yaml}.new"
mv "${change_log_yaml}.new" "${change_log_yaml}"
fi
done <<< "${commit_titles}"
if [ -s "${change_log_yaml}" ]; then
yq --inplace --input-format json --output-format yml "${change_log_yaml}"
yq --no-colors --inplace ".annotations.\"artifacthub.io/changes\" |= loadstr(\"${change_log_yaml}\") | sort_keys(.)" "${chart_file}"
else
echo "ERROR: Changelog file is empty: ${change_log_yaml}" 1>&2
exit 1
fi
rm "${change_log_yaml}"
regexp=".*-alpha-[0-9]+(\.[0-9]+){,2}$"
if [[ "${new_tag}" =~ $regexp ]]; then
yq --inplace '.annotations."artifacthub.io/prerelease" = "true"' "${chart_file}"
else
yq --inplace '.annotations."artifacthub.io/prerelease" = "false"' "${chart_file}"
fi
+1 -5
View File
@@ -69,11 +69,7 @@ jobs:
with:
fetch-depth: 0
- name: Add Artifacthub.io annotations
run: |
NEW_TAG="$(git tag --sort=-version:refname | head -n 1)"
OLD_TAG="$(git tag --sort=-version:refname | head -n 2 | tail -n 1)"
.gitea/scripts/add-annotations.sh "${OLD_TAG}" "${NEW_TAG}"
- uses: volker-raschek/ah-annotations@994de3ecec889e7c52f2efb1607cbe96f1924fcc # v0.2.0
- name: Extract meta information
run: |
+1 -1
View File
@@ -4,7 +4,7 @@ CONTAINER_RUNTIME?=$(shell which podman)
# HELM_IMAGE
HELM_IMAGE_REGISTRY_HOST?=docker.io
HELM_IMAGE_REPOSITORY?=volkerraschek/helm
HELM_IMAGE_VERSION?=4.2.3 # renovate: datasource=docker registryUrl=https://docker.io depName=volkerraschek/helm
HELM_IMAGE_VERSION?=3.19.2 # renovate: datasource=docker registryUrl=https://docker.io depName=volkerraschek/helm
HELM_IMAGE_FULLY_QUALIFIED=${HELM_IMAGE_REGISTRY_HOST}/${HELM_IMAGE_REPOSITORY}:${HELM_IMAGE_VERSION}
# NODE_IMAGE